Subject: Re: bug#76503: [GCD] Migrating repositories, issues, and patches to Codeberg

From: Alexis Simon <[email-masked]>
Date: Wed, 5 Mar 2025 09:09:37 +0100

Hello,

I don't really understand this whole thread and worry about the Agit 
flow. I think some information was lost along the way.

 From my understanding of the GCD and other discussions, both the 
classic PR github-like flow and Agit can live happily together. And the 
GCD does not propose to only allow the Agit flow.

Everyone preferring (or simply only knowing) the classic fork-PR can go 
this way.

Any person that would prefer not forking and working mostly from the 
command-line can do so through the Agit flow.

But from the commiter/reviewer POV, this will look identical, i.e. a PR 
on the repo.
Am I missing something?

The issue of not having a merge button comes from another set of 
considerations (signing).

Cheers,
Alexis

On 05/03/2025 02:00, Maxim Cournoyer wrote:
> Hi Ricardo,
> 
> Ricardo Wurmus <[email-masked]> writes:
> 
> [...]
> 
>> The Github workflow is more complicated:
>>
>> - fork the repository on the forge website
>> - clone your fork from the forge to your local machine
>> - checkout a new branch
>> - make a commit
>> - push the commit from your local checkout to your fork on the   forge
>> - go to the forge website to open a pull request from your fork to
>>    the upstream repository
>>
>> The AGit flow:
>>
>> - clone the upstream repository
>> - checkout a new branch
>> - make a commit
>> - push the commit as a PR to the forge.
>>
>> Am I overlooking something?
> 
> At least two of the points this GCD is supposed to improve on is:
> 
> --8<---------------cut here---------------start------------->8---
>    - the process is unfamiliar to most newcomers;
>    - the tools and infrastructure in Guix have become a maze;
> --8<---------------cut here---------------end--------------->8---
> 
> What would arguably be most familiar to newcomers is the Github-style PR
> flow, whether we like it or not, and Gitea/Forgejo is a designed as a
> clone of Github, even at its API level, so I'm pretty sure the PR flow
> would be the intuitive expectation of newcomers interacting with it.
> 
> Using other flows that require typing command lines or abstracting these
> via other tools is just changing a set of "weird" tools to another set
> of "weird" tools, from a newcomer's perspective.
> 
> I'm not saying I don't see any positives to migrating to Codeberg, but
> that if we can't use the PR flow then the points I quoted above do not
> appear improved much by such a move.
>